Unknown Variables in partition tables

11/19/2011 08:32 AM - Markus Falb

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Unattended installations   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

According #1044 partition tables are parsed by erb.

bla<%= @osver -%>blubb

blablubb

bla<%= @host.name -%>blubb

/usr/share/foreman/vendor/gems/safemode-1.0/lib/safemode/jail.rb:17:in `method_missing': undefined method 'name' for

Safemode::Jail (NilClass)

/usr/share/foreman/app/controllers/unattended_controller.rb:163:in `load_template_vars'

/usr/share/foreman/lib/foreman/renderer.rb:7:in `render_safe'

/usr/share/foreman/lib/foreman/renderer.rb:45:in `pxe_render'

/usr/share/foreman/app/models/host.rb:225:in `diskLayout'

/usr/share/foreman/app/controllers/unattended_controller.rb:185:in `kickstart_attributes'

(eval):1:in `load_template_vars'

/usr/share/foreman/app/controllers/unattended_controller.rb:163:in `load_template_vars'

bla<% if "bla" == "bla" ->bla< end -%>blubb

blablablubb

It seems to me that partition table is parsed, but the Variables as listed in 

http://theforeman.org/projects/foreman/wiki/TemplateWriting are not available.

Related issues:

Related to Foreman - Bug #21172: Unknown Variables in partition tables <%= @o... Closed 10/02/2017

Associated revisions

Revision b99ef03f - 01/15/2012 09:38 AM - Ohad Levy

fixes #1341 - tftp templates can now use @host as well.

History

#1 - 11/20/2011 06:23 PM - Markus Falb

I figured out that the @host.XXX variables are accessible if i deactivate safe rendering, but I have to refer to it without the leading @host.

Instead of <%= @host.name -> this is working: <= name -%>

Confusing, but working.

#2 - 01/15/2012 09:37 AM - Ohad Levy

- Target version set to 1.0

#3 - 01/15/2012 09:38 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

05/12/2024 1/2

https://projects.theforeman.org/issues/1044
http://theforeman.org/projects/foreman/wiki/TemplateWriting


Applied in changeset b99ef03f163246940cbbc144a399835ee489bc6b.

#4 - 10/02/2017 04:06 PM - Ivan Necas

- Related to Bug #21172: Unknown Variables in partition tables <%= @osver %> added

Powered by TCPDF (www.tcpdf.org)

05/12/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b99ef03f163246940cbbc144a399835ee489bc6b
http://www.tcpdf.org

